import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增【专业分类】
    addProfessionClassification(data) {
        return request({
            url: '/course/category',
            method: 'post',
            data
        })
    },
    //修改【专业分类】
    modifyProfessionClassification(data) {
        return request({
            url: '/course/category/edit',
            method: 'post',
            data
        })
    },
    //查询【专业分类】列表
    inquireProfessionClassification(data) {
        return request({
            url: '/course/category/list',
            method: 'get',
            params: data
        })
    },
    //获取【专业分类】详细信息
    obtainProfessionClassification(data) {
        return request({
            url: `/course/category/${data}`,
            method: 'get',
        })
    },
}